List Troubleshooting Incidents

List Troubleshooting Incidents
Shows Guided Network Troubleshooting incidents

Shows Guided Network Troubleshooting incidents

Request
URI
GET
https://{api_host}/api/ni/gnt/troubleshoot/incidents
COPY
Query Parameters
number
size
Optional
Constraints: default: 10

Page size of results

string
cursor
Optional

Cursor from previous response

string
start_entity_id
Optional

Start Entity ID


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns PagedTroubleshootingIncidentList of type(s) application/json
{
    "results": [
        {
            "entity_id": "string",
            "start_entity_id": "string",
            "name": "string",
            "status": "string"
        }
    ],
    "total_count": 0,
    "cursor": "MTA="
}
array of object
results
Optional

results

integer
total_count
Optional

total_count

string
cursor
Optional

Cursor for the next page


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/gnt/troubleshoot/incidents